
From: Pavel Machek <pavel@ucw.cz>

Stefan has pretty useful tips for getting S3 to work on radeon notebooks. 
This brings whole new class of systems to be usable for S3.


---

 25-akpm/Documentation/power/video.txt |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

diff -puN Documentation/power/video.txt~tips-for-s3-resume-on-radeon-cards Documentation/power/video.txt
--- 25/Documentation/power/video.txt~tips-for-s3-resume-on-radeon-cards	Fri Apr 23 13:35:29 2004
+++ 25-akpm/Documentation/power/video.txt	Fri Apr 23 13:35:29 2004
@@ -1,7 +1,7 @@
 
 		Video issues with S3 resume
 		~~~~~~~~~~~~~~~~~~~~~~~~~~~
-		     2003, Pavel Machek
+		  2003-2004, Pavel Machek
 
 During S3 resume, hardware needs to be reinitialized. For most
 devices, this is easy, and kernel driver knows how to do
@@ -15,7 +15,7 @@ run normally so video card is normally i
 
 There are three types of systems where video works after S3 resume:
 
-* systems where video state is preserved over S3. (HP Omnibook xe3)
+* systems where video state is preserved over S3. (Athlon HP Omnibook xe3s)
 
 * systems that initialize video card into vga text mode and where BIOS
   works well enough to be able to set video mode. Use
@@ -26,6 +26,10 @@ There are three types of systems where v
   point, but it happens to work on some machines. Use
   acpi_sleep=s3_bios (Athlon64 desktop system)
 
+* radeon systems, where X can soft-boot your video card. You'll need
+  patched X, and plain text console (no vesafb or radeonfb), see
+  http://www.doesi.gmxhome.de/linux/tm800s3/s3.html. (Acer TM 800)
+
 Now, if you pass acpi_sleep=something, and it does not work with your
 bios, you'll get hard crash during resume. Be carefull.
 

_
